# kate Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KateBrowserExtension Class Reference

Interface for embedding KateDocument into a browser. More...

`#include <katedocumenthelpers.h>`

Inheritance diagram for KateBrowserExtension:

[legend]
Collaboration diagram for KateBrowserExtension:

[legend]
List of all members.

## Public Slots

void | copy ()
void | slotSelectionChanged ()
void | print ()

## Public Member Functions

| KateBrowserExtension (KateDocument *doc)

## Detailed Description

Interface for embedding KateDocument into a browser.

Definition at line 36 of file katedocumenthelpers.h.

## Constructor & Destructor Documentation

KateBrowserExtension::KateBrowserExtension | ( | KateDocument * | doc | ) |

Constructor.

Parameters:

  | doc | parent document

Definition at line 29 of file katedocumenthelpers.cpp.

References QObject::connect(), KParts::BrowserExtension::enableAction(), and slotSelectionChanged().

## Member Function Documentation

void KateBrowserExtension::copy | ( |  | ) | `[slot]`

| copy text to clipboard Definition at line 38 of file katedocumenthelpers.cpp.

void KateBrowserExtension::slotSelectionChanged | ( |  | ) | `[slot]`

| selection has changed Definition at line 48 of file katedocumenthelpers.cpp. References KParts::BrowserExtension::enableAction(). Referenced by KateBrowserExtension().

void KateBrowserExtension::print | ( |  | ) | `[slot]`

| print the current file Definition at line 43 of file katedocumenthelpers.cpp.

The documentation for this class was generated from the following files:

- katedocumenthelpers.h
- katedocumenthelpers.cpp

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:36:44 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003